CREATE TABLE exm_misc_policies (
    MISC_POLICY_ID                 NUMBER(18, 0),
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    POLICY_NAME                    VARCHAR2(240)    NOT NULL,
    DESCRIPTION                    VARCHAR2(960),
    STATUS                         VARCHAR2(120),
    ENABLED_ELIGIBILITY_FLAG       VARCHAR2(4)  ,
    ELIGIBILITY_DAYS               NUMBER(3, 0) ,
    DAYS_BASED_ITEM_PARENT_FLAG    VARCHAR2(4)  ,
    RATE_TYPE_CODE                 VARCHAR2(120),
    SINGLE_INSTANCE_LIMIT_FLAG     VARCHAR2(4)  ,
    DAILY_LIMIT_FLAG               VARCHAR2(4)  ,
    MONTHLY_LIMIT_FLAG             VARCHAR2(4)  ,
    YEARLY_LIMIT_FLAG              VARCHAR2(4)  ,
    LIFETIME_LIMIT_FLAG            VARCHAR2(4)  ,
    PERIOD_MONTH                   VARCHAR2(120),
    PERIOD_DAY                     NUMBER(2, 0) ,
    CURRENCY_OPTION_CODE           VARCHAR2(120),
    CURRENCY_CODE                  VARCHAR2(60) ,
    ENABLED_ROLE_FLAG              VARCHAR2(4)  ,
    POLICY_ROLE_CODE               VARCHAR2(120),
    ENABLED_LOCATION_FLAG          VARCHAR2(4)  ,
    LOCATION_TYPE_CODE             VARCHAR2(120),
    ZONE_TYPE_CODE                 VARCHAR2(120),
    ENABLED_GENDER_FLAG            VARCHAR2(4)  ,
    POLICY_ENFORCEMENT_CODE        VARCHAR2(120),
    POLICY_VIOLATION_FLAG          VARCHAR2(4)  ,
    WARNING_TOLERANCE              NUMBER       ,
    DISP_WARNING_TO_USER_FLAG      VARCHAR2(4)  ,
    PREVENT_SUBMISSION_FLAG        VARCHAR2(4)  ,
    ERROR_TOLERANCE                NUMBER       ,
    ATTRIBUTE_CATEGORY             VARCHAR2(600),
    ATTRIBUTE1                     VARCHAR2(600),
    ATTRIBUTE2                     VARCHAR2(600),
    ATTRIBUTE3                     VARCHAR2(600),
    ATTRIBUTE4                     VARCHAR2(600),
    ATTRIBUTE5                     VARCHAR2(600),
    ATTRIBUTE6                     VARCHAR2(600),
    ATTRIBUTE7                     VARCHAR2(600),
    ATTRIBUTE8                     VARCHAR2(600),
    ATTRIBUTE9                     VARCHAR2(600),
    ATTRIBUTE10                    VARCHAR2(600),
    ATTRIBUTE11                    VARCHAR2(600),
    ATTRIBUTE12                    VARCHAR2(600),
    ATTRIBUTE13                    VARCHAR2(600),
    ATTRIBUTE14                    VARCHAR2(600),
    ATTRIBUTE15                    VARCHAR2(600),
    ATTRIBUTE_NUMBER1              NUMBER       ,
    ATTRIBUTE_NUMBER2              NUMBER       ,
    ATTRIBUTE_NUMBER3              NUMBER       ,
    ATTRIBUTE_NUMBER4              NUMBER       ,
    ATTRIBUTE_NUMBER5              NUMBER       ,
    ATTRIBUTE_DATE1                DATE         ,
    ATTRIBUTE_DATE2                DATE         ,
    ATTRIBUTE_DATE3                DATE         ,
    ATTRIBUTE_DATE4                DATE         ,
    ATTRIBUTE_DATE5                DATE         ,
    ATTRIBUTE_DATETIME1            TIMESTAMP(6) ,
    ATTRIBUTE_DATETIME2            TIMESTAMP(6) ,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    MISC_POLICY_ID                 NUMBER(18, 0),
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    POLICY_NAME                    VARCHAR2(240)    NOT NULL,
    DESCRIPTION                    VARCHAR2(960),
    STATUS                         VARCHAR2(120),
    ENABLED_ELIGIBILITY_FLAG       VARCHAR2(4)  ,
    ELIGIBILITY_DAYS               NUMBER(3, 0) ,
    DAYS_BASED_ITEM_PARENT_FLAG    VARCHAR2(4)  ,
    RATE_TYPE_CODE                 VARCHAR2(120),
    SINGLE_INSTANCE_LIMIT_FLAG     VARCHAR2(4)  ,
    DAILY_LIMIT_FLAG               VARCHAR2(4)  ,
    YEARLY_LIMIT_FLAG              VARCHAR2(4)  ,
    PERIOD_MONTH                   VARCHAR2(120),
    PERIOD_DAY                     NUMBER(2, 0) ,
    CURRENCY_OPTION_CODE           VARCHAR2(120),
    CURRENCY_CODE                  VARCHAR2(60) ,
    ENABLED_ROLE_FLAG              VARCHAR2(4)  ,
    LEGAL_ENTITY_ID                NUMBER(18, 0),
    BUSINESS_GROUP_ID              NUMBER(18, 0),
    POLICY_ROLE_CODE               VARCHAR2(120),
    ENABLED_LOCATION_FLAG          VARCHAR2(4)  ,
    LOCATION_TYPE_CODE             VARCHAR2(120),
    ZONE_TYPE_CODE                 VARCHAR2(120),
    POLICY_ENFORCEMENT_CODE        VARCHAR2(120),
    POLICY_VIOLATION_FLAG          VARCHAR2(4)  ,
    WARNING_TOLERANCE              NUMBER       ,
    DISP_WARNING_TO_USER_FLAG      VARCHAR2(4)  ,
    PREVENT_SUBMISSION_FLAG        VARCHAR2(4)  ,
    ERROR_TOLERANCE                NUMBER       ,
    ATTRIBUTE_CATEGORY             VARCHAR2(600),
    ATTRIBUTE1                     VARCHAR2(600),
    ATTRIBUTE2                     VARCHAR2(600),
    ATTRIBUTE3                     VARCHAR2(600),
    ATTRIBUTE4                     VARCHAR2(600),
    ATTRIBUTE5                     VARCHAR2(600),
    ATTRIBUTE6                     VARCHAR2(600),
    ATTRIBUTE7                     VARCHAR2(600),
    ATTRIBUTE8                     VARCHAR2(600),
    ATTRIBUTE9                     VARCHAR2(600),
    ATTRIBUTE10                    VARCHAR2(600),
    ATTRIBUTE11                    VARCHAR2(600),
    ATTRIBUTE12                    VARCHAR2(600),
    ATTRIBUTE13                    VARCHAR2(600),
    ATTRIBUTE14                    VARCHAR2(600),
    ATTRIBUTE15                    VARCHAR2(600),
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    ATTRIBUTE_NUMBER1              NUMBER       ,
    ATTRIBUTE_NUMBER2              NUMBER       ,
    ATTRIBUTE_NUMBER3              NUMBER       ,
    ATTRIBUTE_NUMBER4              NUMBER       ,
    ATTRIBUTE_NUMBER5              NUMBER       ,
    ATTRIBUTE_DATE1                DATE         ,
    ATTRIBUTE_DATE2                DATE         ,
    ATTRIBUTE_DATE3                DATE         ,
    ATTRIBUTE_DATE4                DATE         ,
    ATTRIBUTE_DATE5                DATE         ,
    ATTRIBUTE_DATETIME1            TIMESTAMP(6) ,
    ATTRIBUTE_DATETIME2            TIMESTAMP(6) ,
    ENABLED_GENDER_FLAG            VARCHAR2(4)  ,
    MONTHLY_LIMIT_FLAG             VARCHAR2(4)  ,
    LIFETIME_LIMIT_FLAG            VARCHAR2(4)  ,
    CONSTRAINT pk_exm_misc_policies PRIMARY KEY (MISC_POLICY_ID, MISC_POLICY_ID)
);
